<!DOCTYPE html>
<html
	xmlns:th="http://www.thymeleaf.org"
	xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
	layout:decorate="~{layouts/admin.html}"
>
	<head>
		<title layout:title-pattern="$CONTENT_TITLE - $LAYOUT_TITLE">
			Setting - Job Position Role
		</title>
		<script src="https://code.jquery.com/jquery-3.5.0.min.js"></script>
		<script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>
		<script>
			$(document).ready(function () {
				// Inisialisasi Select2 untuk Role
				$("#role").select2({
					placeholder: "-- Pilih Role --",
				});
			});
		</script>
	</head>
	<body layout:fragment="content">
		<div class="container mx-auto px-4 mb-6 mt-6 space-y-6">
			<!-- form -->
			<div
				th:replace="~{setting/job-position/role/partials/form.html :: form}"
			></div>
			<div
				class="relative overflow-hidden rounded-xl shadow bg-white dark:bg-gray-800"
			>
				<!-- table header -->
				<div
					th:replace="~{setting/job-position/role/partials/table-header.html :: tableHeader}"
				></div>
				<!-- table -->
				<div
					th:replace="~{setting/job-position/role/partials/table.html :: table}"
				></div>
				<!-- table footer -->
				<div
					th:replace="~{setting/job-position/role/partials/table-footer.html :: tableFooter}"
				></div>
			</div>
		</div>
	</body>
</html>
